package com.github.nullptroma.wallenc.ui.screens.main.screens.vault

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.hilt.lifecycle.viewmodel.compose.hiltViewModel

@Composable
fun LocalVaultScreen(
    modifier: Modifier = Modifier,
    viewModel: LocalVaultViewModel = hiltViewModel(),
    onOpenStorageHome: (String) -> Unit,
) {
    VaultBrowserScreen(
        modifier = modifier,
        viewModel = viewModel,
        onOpenStorageHome = onOpenStorageHome,
    )
}
